/*++

Copyright (c) 2016 Minoca Corp.

    This file is licensed under the terms of the GNU General Public License
    version 3. Alternative licensing terms are available. Contact
    info@minocacorp.com for details. See the LICENSE file at the root of this
    project for complete licensing information.

Module Name:

    ARM Generic Timer

Abstract:

    This library contains the ARM Generic Timer UEFI device.

Author:

    Chris Stevens 9-Jun-2016

Environment:

    Firmware

--*/

from menv import staticLibrary;

function build() {
    var entries;
    var includes;
    var lib;
    var sources;
    var sourcesConfig;

    sources = [
        "gt.c",
        "gta.S",
    ];

    includes = [
        "$S/uefi/include"
    ];

    sourcesConfig = {
        "CFLAGS": ["-fshort-wchar"],
    };

    lib = {
        "label": "gt",
        "inputs": sources,
        "sources_config": sourcesConfig,
        "includes": includes
    };

    entries = staticLibrary(lib);
    return entries;
}

